using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.DM
{
    /// <summary>
    /// 设备检查明细
    /// </summary>
    [Description("设备检查明细")]
    public class T_DM_DEVICE_CHECK_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        [DataFieldForeignKey("Nav_DeviceCheck", "Nav_ListDetail")]
        public Guid DEVICE_CHECK_ID { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        public T_DM_DEVICE_CHECK Nav_DeviceCheck { get; set; }


        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        [DataFieldForeignKey("Nav_BaseCheck")]
        public Guid? BASECHECK_ID { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        public T_DM_DEVICE_BASE_CHECK Nav_BaseCheck { get; set; }

        /// <summary>
        /// 序号
        /// </summary>
        [Description("序号")]
        public int ROW_NO { get; set; }

        /// <summary>
        /// 设备设施库
        /// </summary>
        [Description("设备设施库")]
        public Guid DEVICEBASE_ID { get; set; }

        /// <summary>
        /// 点检部位
        /// </summary>
        [Description("点检部位")]
        [DataFieldLength(200)]
        public string ITEM1 { get; set; }


        /// <summary>
        /// 点检内容
        /// </summary>
        [Description("点检内容")]
        [DataFieldLength(500)]
        public string ITEM2 { get; set; }

        /// <summary>
        /// 点检标准
        /// </summary>
        [Description("点检标准")]
        [DataFieldLength(300)]
        public string ITEM3 { get; set; }

        /// <summary>
        /// 结论
        /// </summary>
        [Description("结论")]
        public CheckResult? CHECK_VALUE { get; set; }

        /// <summary>
        /// 问题描述
        /// </summary>
        [Description("问题描述")]
        [DataFieldLength(300)]
        public string DESCRIPTION { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [Description("附件")]
        public virtual ICollection<T_DM_DEVICE_CHECK_DETAIL_FILE> Nav_DetailFiles { get; set; }
    }
}